> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Extend active horizon agent budget

> Accepted — extend-budget signalled to the active-horizon agent.

### Path parameters

<ParamField path="workflow_id" type="string (string)" required />

### Request body

`ActiveHorizonBudgetExtension`

<ParamField body="additional_window_secs" type="integer" />

<ParamField body="additional_turns" type="integer" />

<ParamField body="additional_failures" type="integer" />

### Response

No response body. Accepted — extend-budget signalled to the active-horizon agent.

### Status codes

| Code  | Meaning                                                         |
| ----- | --------------------------------------------------------------- |
| `202` | Accepted — extend-budget signalled to the active-horizon agent. |
| `400` | Validation error                                                |
| `401` | Unauthorized                                                    |
| `404` | Not found                                                       |
| `429` | Rate limited                                                    |
| `500` | Internal error                                                  |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.workstream.stateset.com/v1/workflows/active-horizon-agent/{workflow_id}/extend-budget' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
    --header 'Content-Type: application/json' \
    --data '{
    "additional_window_secs": 1,
    "additional_turns": 1,
    "additional_failures": 1
  }'
  ```
</RequestExample>
